Subject: bug#8084: 24.0.50; grep still relies on font-lock somewhat

From: Stefan Monnier <[email-masked]>
Date: Tue, 06 Sep 2011 14:42:53 -0400

> I now think that `grep-process-setup' should still check for
> `(null font-lock-mode)' to not output color escapes
> that can't be highlighted with `font-lock-face' by `grep-filter'.
> There is no harm to output color escapes because `grep-filter'
> still removes them, but this is useless because text properties
> `font-lock-face' can't be displayed when `font-lock-mode' is nil.

The (null font-lock-mode) test is an optimization.  It may provide more
reliable and slightly faster behavior for those people who don't want
the highlighting.

It does come with one downside, which is that enabling font-lock-mode
after the fact will not result in the matches being highlighted.
I'm not too worried about this downside, so either way is fine by me.

        Stefan